Subject: Re: [RFC] Git User's Survey 2007

From: Jakub Narebski <[email-masked]>
Date: Mon, 30 Jul 2007 15:40:55 +0200

Shawn O. Pearce wrote:
> Jakub Narebski <[email-masked]> wrote:
>> Paolo Ciarrocchi wrote:

>>> git-gui ?
>>> 
>>>>     9. Which git GUI do you use
>>>>        (zero or more: multiple choice)
>>>>     -  gitk, git-gui, qgit, gitview, giggle, other
>>           tig, instaweb, (h)gct, qct, KGit
>> 
>> I consider git-gui an UI (like qgit or tig), not a porcelain. To be
>> a porcelains tool need to add some SCM functionality not present in
>> git-core.
> 
> Odd.  I consider git-gui to be a porcelain, just as I consider
> tig and qgit to also be porcelain.  Though I think git-gui is more
> of a porcelain than the others, as it tries to rely *less* on the
> core porcelain and just on the plumbing.  I don't always succeed,
> but I'm heading in that direction.
> 
> To me a porcelain is any tool that layers over the plumbing and makes
> it easier for the end-user to operate it.  Early git only had things
> like read-tree/write-tree/commit-tree.  Tying that all up into a neat
> "Commit" command for the end-user is the job of porcelain.
> 
> Anyway.  Just so long as git-gui is included in the survey.  I'm
> interested in seeing how many people use it, because I know it has
> a pretty decently sized userbase.  Which is probably going to grow
> in the future with the i18n work going on.

Well, if we use the notion that porcelain are tools which provide
high level access to core git, making SCM from git plumbing, then
being porcelain and being git UI are not mutually exclusive.

Nevertheless I'd rather keep them separate, and put git-gui in UI
camp, while egit (which I have forgot about) in the porcelain camp.

Or should I use "version control interface layers" instead of 
"porcelains"?

> Do we have any questions in the survey about the user's native
> language?  About their desire to have git translated into their
> native language?  Folks are now working on translating git-gui,
> and that work will be in git-gui 0.9.x, if not 0.8.1/2.  So it may
> be nice to know what languages our users are interested in.

----
About you

    1. What country are you in?
    2. What is your preferred non-programming language?

[...]

Internationalization

    1. Is translating GIT required for wider adoption?
    -  yes/no/somewhat
    2. What do you need translated?
       (zero or more: multiple choice)
    -  GUI (git-gui, gitk, qgit, ...), git-core messages,
       manpages, other documentation
    3. For what language do you need translation for?
----

Do you want other questions about internationalization and translating
git into one's native language?

-- 
Jakub Narebski
Poland